2 leifengpeng leifengpeng 于 2016.04.17 11:07 提问

mac Eclipse Unsupported major.minor version 52.0问题 10C

mac下使用Eclipse IDE for Java Developers(Mars.1 Release (4.5.1))编译android项目(使用的是ADT23)
报:
Errors occurred during the build.
Errors running builder 'Android Package Builder' on project 'showDownTip'.
com/android/dx/command/dexer/Main : Unsupported major.minor version 52.0
机子装了jdk1.7.0.。
图片说明
图片说明
求解!!!!!

4个回答

CSDNXIAOD
CSDNXIAOD   2016.04.17 11:12

eclipse 报错Unsupported major.minor version 52.0
Unsupported major.minor version 52.0 解决
Unsupported major.minor version 52.0
----------------------biu~biu~biu~~~在下问答机器人小D,这是我依靠自己的聪明才智给出的答案,如果不正确,你来咬我啊!

xiongzirui
xiongzirui   2016.04.18 09:06

是jdk版本的问题,我也遇到过,你试试换个jdk版本试试,我遇到过这个问题

xiongzirui
xiongzirui   2016.04.18 09:08

应该是jdk版本高了,换低版本jdk试试

xiongzirui
xiongzirui   2016.04.18 09:13

这个可能是你先用过高版本的jdk,所以eclipse编译级别为1.8,选中你的java工程,然后从菜单选中Project=>Properties=>Java Complier 选1.7试试

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!